<com.google.android.gms.ads.nativead.NativeAdView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="345dp"
    android:layout_height="250dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:background="@drawable/bg_cafaee_15"
        android:baselineAligned="false"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_03b988_tl15_br15"
            android:paddingHorizontal="6dp"
            android:paddingVertical="4dp"
            android:text="AD"
            android:textColor="@color/white"
            android:textSize="13sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />

        <LinearLayout
            android:id="@+id/ll"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:orientation="horizontal"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/ad_app_icon"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:orientation="vertical">


                <TextView
                    android:id="@+id/ad_headline"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="2"
                    android:textColor="#001D29"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:text="All You Can Wish For" />


                <TextView
                    android:id="@+id/ad_body"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:ellipsize="end"
                    android:maxLines="2"
                    android:textColor="@color/black"
                    android:textSize="13sp"
                    tools:text="wuyunbooster.com" />


            </LinearLayout>

        </LinearLayout>


        <com.google.android.gms.ads.nativead.MediaView
            android:id="@+id/ad_media"
            android:layout_width="match_parent"
            android:layout_height="95dp"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="8dp"
            app:layout_constraintTop_toBottomOf="@id/ll" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/ad_call_to_action"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="16dp"
            android:layout_marginBottom="2dp"
            android:background="@drawable/bg_03b988_22"
            android:gravity="center"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:textSize="15sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ad_media"
            tools:text="Install" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</com.google.android.gms.ads.nativead.NativeAdView>